H5P Filter

Filters ::: filter_h5p
Maintained by Robert Schrenk, Zentrum für Lernmanagement, Andreas Riepl
This filter adds the possibility to get h5p content being automatically embedded in textfields based on the activityname.
Latest release:
1400 sites
198 downloads
42 fans
Current versions available: 3

This filter adds the possibility to get h5p content being automatically embedded in textfields based on the activityname.

In order to use this filter you have to activate it after installation and ensure that it is listed above the 'Activity names auto-linking' filter. If you have created an interactive content using h5p you can embed it anywhere in the course you like by using the syntax {h5p:activity name}.

Example:

  1. Create an interactive Video with the name "My interactive Video"
  2. (optional) Set the visibility to "available but not shown on course page"
  3. Enter in any textfield the following pattern {h5p:My interactive Video}
It will be embedded automatically and the results will be graded in your course.

Please note, that the activity name is case sensitive!

Screenshots

Screenshot #0

Contributors

Robert Schrenk (Lead maintainer)
Zentrum für Lernmanagement
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Tue, Apr 21, 2020, 3:25 PM
    Hi,
    I get the error ''H5P filter cannot be used, it may not be installed'' after I installed it and activated it. Ive tried putting it above the ''non-linking'' filter, no result.
    I use Moodle version 3.5.10., any thoughts on how I could make this filter work?
  • Tue, Apr 21, 2020, 4:42 PM
    Hello, we used it in Moodle 3.5.6 and upgraded without any issue to 3.5.11 recentlry. Do you have any error messages that appear? Perhaps you should consider to activate debugging messages to see what is going wrong.
  • Trille
    Tue, Jun 22, 2021, 1:37 PM
    Hi Robert.
    Very useful filter - thanks.
    Any plans for an upgrade for Moodle 3.10 or 3.11?
    Thanks a lot!
  • Tue, Jun 22, 2021, 5:26 PM
    Hello, you can safely use this plugin also in Moodle 3.10 and Moodle 3.11. We will support this plugin at least until next year, but currently there are no major issues that require an actual update.
  • Tue, Jun 22, 2021, 11:54 PM
    Hello, I updated the plugin so that it shows it supports Moodle 3.10 and Moodle 3.11 too.
  • Wed, Sep 15, 2021, 2:21 AM
    Seems in Moodle 3.11.3 (Build: 20210913) Apache will produce a error 500 and php error logs will give this error message: PHP Fatal error: Cannot redeclare core_h5p_pluginfile() (previously declared in moodle/h5p/lib.php:44) in moodle/filter/h5p/lib.php on line 44
  • Wed, Sep 15, 2021, 6:25 PM
    Are you sure you are using my plugin? My code does not even has a lib.php (https://github.com/center-for-learning-management/moodle-filter_h5p) nor does it contain this string (https://github.com/center-for-learning-management/moodle-filter_h5p/search?q=core_h5p_pluginfile)
  • Thu, Sep 16, 2021, 11:35 PM
    Looks like you are right. I deleted the plugin moodle/filter/h5p and that seemed to have cleared up the issue but now when I try to reproduce the error by putting it back in the issue does not occur. So not sure what was going on then :/
  • Mon, Oct 25, 2021, 2:59 PM
    Interactive video full screen problem on iphone.

    On browser pc, iPad, Android devices everything is ok. But on iphone and only on iphone the full screen does not work. The button is pressed and does nothing. It doesn't even change in the version that appears when the iframe is active (with the arrows pointing inward). I think the problem is "nested iFrame" (one of the plugin and one of h5p)
    My release: Interactive Video library release 1.22.4

    It's complicated! Can anything be done?

    Thank you!

    Roberto
  • Tue, Nov 16, 2021, 11:09 PM
    Please use the bugtracker https://github.com/rschrenk/moodle-filter_h5p/issues for posting bugs.
  • Fri, Apr 8, 2022, 8:51 PM
    Are there any plans to update this for Moodle 4.0?
  • Tue, Apr 12, 2022, 8:30 PM
    There is no reason why it should not work with Moodle 4. An Update of the version.php only makes sense after Moodle 4 is released officially.
  • Mon, Dec 12, 2022, 7:31 PM
    Dear Robert, any news on this? We would strongly recommend to update the plugin hence all moodle infrastructure (at least within our University) formally requires an official "moodle 4.X" label to be taken into account also in future. And we would really like to use your plugin. Please feel free to contact us for direct exchange if there is anything we can do to further the maintenance of the plugin. Best regards, Wiebke (PS Congratulations to your change of positiion to Bundesministerium!)
  • Fri, Dec 16, 2022, 6:28 PM
    Hello. Will there be a new version compatible with Moodle 4.1 available soon? Regards.
  • Sat, Dec 17, 2022, 10:39 PM
    We are working on the Moodle 4.1 update and checking the compatibility of all our plugins with Moodle 4.1. However, due to limited resources it might still take some time, till the update is available.
1 2 3
Please login to post comments